Subject: bug#1096: The Emacs 23 cann't display the cjk extb characters again.

From: [email-masked]
Date: Mon, 6 Oct 2008 10:25:47 +0800

Dear all,

Now, I updated the Emacs 23 to 23.0.60.1 (i386-mingw-nt5.1.2600) of 2008-10-03 on LENNART-69DE564, then I find that I cann't see the correct cjk extb characters displayed by this version.  For example, the Chinese character uni20021, a character of cjk extb, which can be displayed correctly by using the previous versions by LENNART, cann't be displayed correctly now.  In addition, I can display that character on my box with emeditor, denoting that I've the corresponding fonts installed correctly.  Finally, I've use the following settings in my _emacas file which is suggested by Kenichi Handa:

--------------
(if (display-graphic-p)
(set-fontset-font
 (frame-parameter nil 'font)
 '(#x20000 . #x2fa1d)
 '("*-Sun-ExtB" . "unicode-sip")))
--------------

Please find the snapshot of this issue in the attachments. 

Regards,
-- 
Hongyi Zhao <[email-masked]> 
Xinjiang Technical Institute of Physics and Chemistry
Chinese Academy of Sciences 
GnuPG DSA: 0xD108493
2008-10-5